ubuntu/+source/pygpgme:applied/debian/buster

Last commit made on 2016-11-24
Get this branch:
git clone -b applied/debian/buster https://git.launchpad.net/ubuntu/+source/pygpgme
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/buster
Repository:
lp:ubuntu/+source/pygpgme

Recent commits

2958eee... by Dr. Tobias Quathamer on 2016-11-24

Import patches-applied version 0.3-1.2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 5dcda201af830b25d215105933d0987b4c2c7808
Unapplied parent: a10ad89501a5c9018039a837640b5a56966865fb

New changelog entries:
  * Non-maintainer upload.
  * Fix FTBFS with newer gpgme library.
    Remove deprecated functions context.edit and context.card_edit.
    Both functions have been deprecated upstream and are not working
    anymore. In order to not ship broken Python bindings for those
    two functions, they are removed from the source altogether.
    If an application uses them, it now will get an error about
    the missing function instead of a function call with
    undefined behaviour.
    The best fix for those applications would be to switch over
    to pyme, the now official Python bindings from GPGME upstream.
    (Closes: #835174)
  * Clean up patch from Daniel which fixed the previous FTBFS

a10ad89... by Dr. Tobias Quathamer on 2016-11-24

Disable failing test of (deprecated) key editing function

Gbp-Pq: 0007-Disable-failing-test-of-deprecated-key-editing-funct.patch.

0f6d94f... by Dr. Tobias Quathamer on 2016-11-24

Remove deprecated functions context.edit and context.card_edit.

Gbp-Pq: 0006-Remove-deprecated-functions-context.edit-and-context.patch.

0fe8ac0... by Dr. Tobias Quathamer on 2016-11-24

Fix test failures with pinentry

Gbp-Pq: 0005-Fix-test-failures-with-pinentry.patch.

e09694e... by Dr. Tobias Quathamer on 2016-11-24

Add missing pinentry_mode methods.

Gbp-Pq: 0004-Add-missing-pinentry_mode-methods.patch.

e0e7dbb... by Dr. Tobias Quathamer on 2016-11-24

handle generic error when no passphrase callback present

Gbp-Pq: 0003-handle-generic-error-when-no-passphrase-callback-pre.patch.

9d00c08... by Dr. Tobias Quathamer on 2016-11-24

passphrase_cb is deprecated

Gbp-Pq: 0002-passphrase_cb-is-deprecated.patch.

d23e2d5... by Dr. Tobias Quathamer on 2016-11-24

reflect 2.1 reporting for key imports

Gbp-Pq: 0001-reflect-2.1-reporting-for-key-imports.patch.

3397c53... by Dr. Tobias Quathamer on 2016-11-24

Import patches-unapplied version 0.3-1.2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 049f357b504a1bc824a8b80ba5aebcd822defe8b

New changelog entries:
  * Non-maintainer upload.
  * Fix FTBFS with newer gpgme library.
    Remove deprecated functions context.edit and context.card_edit.
    Both functions have been deprecated upstream and are not working
    anymore. In order to not ship broken Python bindings for those
    two functions, they are removed from the source altogether.
    If an application uses them, it now will get an error about
    the missing function instead of a function call with
    undefined behaviour.
    The best fix for those applications would be to switch over
    to pyme, the now official Python bindings from GPGME upstream.
    (Closes: #835174)
  * Clean up patch from Daniel which fixed the previous FTBFS

5dcda20... by dkg on 2016-02-02

Import patches-applied version 0.3-1.1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 9bf5b2e11bab66c4c63d13ee9d0fe9b7441ddcc2
Unapplied parent: 70eef2e8aa6ee7e2f7ca99c3734f24f160368a34

New changelog entries:
  * Non-maintainer upload
  * ensure that test suite works with gpg 2.1.x (Closes: #797776)
    - drop patch that forces 1.4.x during passphrase_cb
    - drop all unused debian/patches
    - rely on gpg-agent
    - imported keys are counted differently
    - require the use of loopback pinentry for (deprecated) passphrase_cb